package dp.kotul.bamboospecsapplication.configuration;

import java.util.ArrayList;
import java.util.List;

public class BuildTaskConfiguration {
    private String description;
    private List<String> content = new ArrayList<>();
    private BuildTaskType type;
    private String environmentVariables;
    private String path;
    private String namespace;
    private String imageName;
    private String workingDirectory;

    private boolean hasTests = true;

    public BuildTaskConfiguration(String description, List<String> content, BuildTaskType type, String environmentVariables, String path, String namespace, String imageName, String workingDirectory, boolean hasTests) {
        this.description = description;
        this.content = content;
        this.type = type;
        this.environmentVariables = environmentVariables;
        this.path = path;
        this.namespace = namespace;
        this.imageName = imageName;
        this.workingDirectory = workingDirectory;
        this.hasTests = hasTests;
    }

    public BuildTaskConfiguration() {
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<String> getContent() {
        return content;
    }

    public void setContent(List<String> content) {
        this.content = content;
    }

    public boolean getHasTests() {
        return hasTests;
    }

    public void setHasTests(boolean hasTests) {
        this.hasTests = hasTests;
    }

    public BuildTaskType getType() {
        return type;
    }

    public void setType(BuildTaskType type) {
        this.type = type;
    }

    public String getEnvironmentVariables() {
        return environmentVariables;
    }

    public void setEnvironmentVariables(String environmentVariables) {
        this.environmentVariables = environmentVariables;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    public String getImageName() {
        return imageName;
    }

    public void setImageName(String imageName) {
        this.imageName = imageName;
    }

    public String getWorkingDirectory() {
        return workingDirectory;
    }

    public void setWorkingDirectory(String workingDirectory) {
        this.workingDirectory = workingDirectory;
    }
}
